Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPolyDataMapper Class Reference

`#include <vtkPolyDataMapper.h>`

Inheritance diagram for vtkPolyDataMapper:

[legend]
Collaboration diagram for vtkPolyDataMapper:

[legend]
List of all members.

## Detailed Description

map vtkPolyData to graphics primitives

Date:
  2002/08/28 16:27:36

Revision:
  1.31

vtkPolyDataMapper is a class that maps polygonal data (i.e., vtkPolyData) to graphics primitives. vtkPolyDataMapper serves as a superclass for device-specific poly data mappers, that actually do the mapping to the rendering/graphics hardware/software. It is now possible to set a memory limit for the pipeline in the mapper. If the total estimated memory usage of the pipeline is larger than this limit, the mapper will divide the data into pieces and render each in a for loop.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (31%)
  - Geveci, Berk (20%)
  - Law, Charles (17%)
  - Martin, Ken (15%)
  - Lorensen, Bill (6%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkPolyDataMapper.cxx)`
  - .`h` (`/Rendering/vtkPolyDataMapper.h)`

Examples:
  vtkPolyDataMapper (Examples)

Tests:
  vtkPolyDataMapper (Tests)

Definition at line 60 of file vtkPolyDataMapper.h.

## Public Types
typedef vtkMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | RenderPiece (vtkRenderer *ren, vtkActor *act)=0
virtual void | Render (vtkRenderer *ren, vtkActor *act)
void | Update ()
void | ShallowCopy (vtkAbstractMapper *m)
void | SetInput (vtkPolyData *in)
vtkPolyData * | GetInput ()
virtual void | SetPiece (int)
virtual int | GetPiece ()
virtual void | SetNumberOfPieces (int)
virtual int | GetNumberOfPieces ()
virtual void | SetNumberOfSubPieces (int)
virtual int | GetNumberOfSubPieces ()
virtual void | SetGhostLevel (int)
virtual int | GetGhostLevel ()
virtual float * | GetBounds ()
virtual void | GetBounds (float bounds[6])
## Static Public Methods
vtkPolyDataMapper * | New ()
int | IsTypeOf (const char *type)
vtkPolyDataMapper * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPolyDataMapper ()
| ~vtkPolyDataMapper ()
## Protected Attributes
int | Piece
int | NumberOfPieces
int | NumberOfSubPieces
int | GhostLevel

## Member Typedef Documentation

typedef vtkMapper vtkPolyDataMapper::Superclass

| Reimplemented from vtkMapper. Reimplemented in vtkMesaPolyDataMapper, and vtkOpenGLPolyDataMapper. Definition at line 64 of file vtkPolyDataMapper.h.

## Constructor & Destructor Documentation

vtkPolyDataMapper::vtkPolyDataMapper | ( |  | ) | `[protected]`

vtkPolyDataMapper::~vtkPolyDataMapper | ( |  | ) | `[inline, protected]`

| Definition at line 111 of file vtkPolyDataMapper.h.

## Member Function Documentation

vtkPolyDataMapper* vtkPolyDataMapper::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkMesaPolyDataMapper, and vtkOpenGLPolyDataMapper.

virtual const char* vtkPolyDataMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkMapper. Reimplemented in vtkMesaPolyDataMapper, and vtkOpenGLPolyDataMapper.

int vtkPolyDataMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMapper. Reimplemented in vtkMesaPolyDataMapper, and vtkOpenGLPolyDataMapper.

virtual int vtkPolyDataMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkMapper. Reimplemented in vtkMesaPolyDataMapper, and vtkOpenGLPolyDataMapper.

vtkPolyDataMapper* vtkPolyDataMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkMapper. Reimplemented in vtkMesaPolyDataMapper, and vtkOpenGLPolyDataMapper.

void vtkPolyDataMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkMapper. Reimplemented in vtkMesaPolyDataMapper, and vtkOpenGLPolyDataMapper.

virtual void vtkPolyDataMapper::RenderPiece | ( | vtkRenderer * | ren,
|  | vtkActor * | act
| ) | `[pure virtual]`

| Implemented by sub classes. Actual rendering is done here. Implemented in vtkMesaPolyDataMapper, and vtkOpenGLPolyDataMapper.

virtual void vtkPolyDataMapper::Render | ( | vtkRenderer * | ren,
|  | vtkActor * | act
| ) | `[virtual]`

| This calls RenderPiece (in a for loop is streaming is necessary). Implements vtkMapper.

void vtkPolyDataMapper::SetInput | ( | vtkPolyData * | in | ) |

| Specify the input data to map.

vtkPolyData* vtkPolyDataMapper::GetInput | ( |  | ) |

| Specify the input data to map. Reimplemented from vtkMapper.

void vtkPolyDataMapper::Update | ( |  | ) | `[virtual]`

| Update that sets the update piece first. Reimplemented from vtkMapper.

virtual void vtkPolyDataMapper::SetPiece | ( | int |  | ) | `[virtual]`

| If you want only a part of the data, specify by setting the piece.

virtual int vtkPolyDataMapper::GetPiece | ( |  | ) | `[virtual]`

| If you want only a part of the data, specify by setting the piece.

virtual void vtkPolyDataMapper::SetNumberOfPieces | ( | int |  | ) | `[virtual]`

| If you want only a part of the data, specify by setting the piece.

virtual int vtkPolyDataMapper::GetNumberOfPieces | ( |  | ) | `[virtual]`

| If you want only a part of the data, specify by setting the piece.

virtual void vtkPolyDataMapper::SetNumberOfSubPieces | ( | int |  | ) | `[virtual]`

| If you want only a part of the data, specify by setting the piece.

virtual int vtkPolyDataMapper::GetNumberOfSubPieces | ( |  | ) | `[virtual]`

| If you want only a part of the data, specify by setting the piece.

virtual void vtkPolyDataMapper::SetGhostLevel | ( | int |  | ) | `[virtual]`

| Set the number of ghost cells to return.

virtual int vtkPolyDataMapper::GetGhostLevel | ( |  | ) | `[virtual]`

| Set the number of ghost cells to return.

virtual float* vtkPolyDataMapper::GetBounds | ( |  | ) | `[virtual]`

| Return bounding box (array of six floats) of data expressed as (xmin,xmax, ymin,ymax, zmin,zmax). Reimplemented from vtkMapper.

virtual void vtkPolyDataMapper::GetBounds | ( | float | bounds[6] | ) | `[inline, virtual]`

| Return bounding box (array of six floats) of data expressed as (xmin,xmax, ymin,ymax, zmin,zmax). Reimplemented from vtkMapper. Definition at line 102 of file vtkPolyDataMapper.h.

void vtkPolyDataMapper::ShallowCopy | ( | vtkAbstractMapper * | m | ) |

| Make a shallow copy of this mapper. Reimplemented from vtkMapper.

## Member Data Documentation

int vtkPolyDataMapper::Piece`[protected]`

| Definition at line 113 of file vtkPolyDataMapper.h.

int vtkPolyDataMapper::NumberOfPieces`[protected]`

| Definition at line 114 of file vtkPolyDataMapper.h.

int vtkPolyDataMapper::NumberOfSubPieces`[protected]`

| Definition at line 115 of file vtkPolyDataMapper.h.

int vtkPolyDataMapper::GhostLevel`[protected]`

| Definition at line 116 of file vtkPolyDataMapper.h.

The documentation for this class was generated from the following file:

- Rendering/vtkPolyDataMapper.h